Skip to content
Go to Boltz API

Set a workspace spending limit

PUT/compute/v1/admin/workspaces/{workspace_id}/spending-limit

Set a workspace spending limit

Path ParametersExpand Collapse
workspace_id: string
Body ParametersJSONExpand Collapse
limit: object { amount, currency }
amount: number

Workspace spending limit amount in milli-USD. Tracking starts when the limit is configured; prior or already-committed unreserved work is not counted in this workspace cap ledger.

minimum0
maximum9007199254740991
currency: "MILLI_USD"

Workspace spending limits currently support milli-USD only.

type: "lifetime"
ReturnsExpand Collapse
limit: object { amount, currency }
amount: number

Workspace spending limit amount in milli-USD. Tracking starts when the limit is configured; prior or already-committed unreserved work is not counted in this workspace cap ledger.

minimum0
maximum9007199254740991
currency: "MILLI_USD"

Workspace spending limits currently support milli-USD only.

type: "lifetime"

Set a workspace spending limit

curl https://api.boltz.bio/compute/v1/admin/workspaces/$WORKSPACE_ID/spending-limit \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "x-api-key: $BOLTZ_API_KEY" \
    -d '{
          "limit": {
            "amount": 5000,
            "currency": "MILLI_USD"
          },
          "type": "lifetime"
        }'
{
  "limit": {
    "amount": 5000,
    "currency": "MILLI_USD"
  },
  "type": "lifetime"
}
Returns Examples
{
  "limit": {
    "amount": 5000,
    "currency": "MILLI_USD"
  },
  "type": "lifetime"
}